Skip to main content
GET
/
custom-fields
/
fieldName
/
{customFieldName}
curl --request GET \
  --url https://api.autosend.com/v1/custom-fields/fieldName/planTier \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Custom field retrieved successfully",
  "data": {
    "id": "69c258bae3e715c0521153fb",
    "fieldName": "isVerified",
    "fieldType": "boolean",
    "createdAt": "2026-03-24T09:26:18.826Z",
    "updatedAt": "2026-03-24T09:26:18.826Z"
  }
}
curl --request GET \
  --url https://api.autosend.com/v1/custom-fields/fieldName/planTier \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Custom field retrieved successfully",
  "data": {
    "id": "69c258bae3e715c0521153fb",
    "fieldName": "isVerified",
    "fieldType": "boolean",
    "createdAt": "2026-03-24T09:26:18.826Z",
    "updatedAt": "2026-03-24T09:26:18.826Z"
  }
}

Authorizations

Authorizations
string | header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customFieldName
string
required
The fieldName of the custom field to retrieve.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customFieldName
string
required

The fieldName of the custom field to retrieve.

Example:

"planTier"

Response

Custom field retrieved successfully

success
boolean
Example:

true

message
string
Example:

"Custom field retrieved successfully"

data
object